/* -------------------------------------------------------------
This applet shows an example of accessing a class variable and
a class method.

Java's classes: Applet    (applet)
                System    (lang)

Custom classes: ClassMethod
                Circle

------------------------------------------------------------- */
public class ClassMethod extends java.applet.Applet {
	
	public void init() {
	   Circle c1, c2, c3;
	   
	   c1 = new Circle();
	   Circle.numCircles++;
	
	   c2 = new Circle();
	   Circle.numCircles++;
	   
	   c3 = new Circle();
	   Circle.numCircles++;
	
	   Circle.displayNumCircles();
	}
}

class Circle {

	static int numCircles;
	
	static void displayNumCircles() {
	   System.out.println(numCircles + " circles were created.");
	}
}